/*
*  Rubrica
*  file: addressbook.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RUBRICA_ADDRESSBOOK_H
#define __RUBRICA_ADDRESSBOOK_H

#include <gnome.h>


typedef struct {
  GList *rubrica;         /* the addressbook */

  gboolean modified;      /* true if rubrica is modified, false if not */
  gboolean empty;       
  gboolean new;           /* true  if this is new addressbook (just done) 
			     false if it has one or more item          */

  gchar *name;            /* addressbook's name */
  gchar *path;            /* addressbook's path */

  GtkWidget *notebook;    /* notebook */
  GtkWidget *child;
  GtkWidget *clist;
  GtkWidget *label;

  gint item_in_list;      /* # of item in current addressbook */
  gint id;                /* current notebook's page */

} AddressBook;

gint rubrica_addressbook_new(gchar* filename);
void rubrica_addressbook_init(void);
void rubrica_addressbook_init_item(AddressBook *ab);
void rubrica_addressbook_init_view(void);

void rubrica_addressbook_append(AddressBook *ab);
AddressBook *rubrica_addressbook_get_addressbook(gint id);

void rubrica_addressbook_apply(gint id);

inline gint rubrica_addressbook_get_pages(void);
inline void rubrica_addressbook_set_pages(gint n);
inline void rubrica_addressbook_inc_pages(void);
inline void rubrica_addressbook_dec_pages(void);

void rubrica_addressbook_set_notebook(GtkWidget *nb);
GtkWidget *rubrica_addressbook_get_notebook(void);


void rubrica_addressbook_set_rubrica(GList *rub, gint page);
void rubrica_addressbook_set_info(GList *rub, gboolean modif, gboolean empty, 
				  gboolean new, gint page);
void rubrica_addressbook_set_widget_info(GtkWidget *notebook, GtkWidget * child, 
					 GtkWidget *clist, GtkWidget *label, 
					 gint page);
void rubrica_addressbook_set_path_and_name(gchar *path, gchar *name, gint page);
void rubrica_addressbook_get_path_and_name(gchar **path, gchar **name, gint page);

void rubrica_addressbook_close(gpointer data);
void rubrica_addressbook_real_close(AddressBook *ab, gpointer notebook, gint page);

#endif







