/*
*  Rubrica
*  file: view.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_VIEW_H
#define _RUBRICA_VIEW_H

typedef enum {
  VISTA_SCHEDE = 0,
  VISTA_DATI,
  ULTIMA_VISTA
} TIPO_VISTA;


typedef struct _InfoRubrica {
  gint riga;
  gint colonna;
  gint maxrow;
  gint maxcol;
  gboolean selezionato;
} InfoRubrica;

typedef struct _VistaDati {
  GtkWidget *schede;
  GtkWidget *dati;
  
  GtkWidget *progressbar;
  GtkWidget *label_nomefile;
  GtkWidget *label_path;
  
  InfoRubrica schedeinfo;
  InfoRubrica datiinfo;       // Non usato attualmente

  gint totale_indirizzi;
  gchar titolo[21];
} VistaDati;

/*  inizializzazione e prelievo dei dati della vista 
*/
void rubrica_init_vista(GtkWidget *label_file, GtkWidget *label_path, 
			GtkWidget *schede,  GtkWidget *dati, GtkWidget *pbar, 
			gchar *titolo);
void rubrica_get_vista(VistaDati *vista);

/*    metodi per impostare o prendere i valori della vista */
/*    Prelievo delle Clist  
      get card's clist pointer
      set card's clist pointer
      get data's clist pointer
*/
GtkCList *rubrica_vista_get_schede(void);
void rubrica_vista_set_schede(GtkWidget *clist);
GtkCList *rubrica_vista_get_dati(void);

/* Get - Set filename label */
GtkWidget *rubrica_vista_get_label(void);
void rubrica_vista_set_label(GtkWidget *lbl);

/* Get - Set string from/in label */
void rubrica_vista_set_str_label_file(gchar *str);
gchar *rubrica_vista_get_str_label_file(void);
void rubrica_vista_set_str_label_path(gchar *str);
gchar *rubrica_vista_get_str_label_path(void);

/* Get - Set info 
   get struct InfoRubrica
   set struct InfoRubrica
*/
void rubrica_vista_get_info(InfoRubrica *i, TIPO_VISTA t);
void rubrica_vista_set_info(InfoRubrica i, TIPO_VISTA t);

/* Get - Set - Inc - Dec Indirizzi 
   get - get the number of inserted address
   set - get the number of inserted address to #
   inc - increase the number of inserted address
   dec - decrease the number of inserted address
*/
gint rubrica_vista_get_indirizzi(void);
void rubrica_vista_set_indirizzi(gint n);
void rubrica_vista_inc_indirizzi(void);
void rubrica_vista_dec_indirizzi(void);

/* Get - Set 
   get current card #
   set current card to #
*/
void rubrica_set_scheda_corrente(gint n);
gint rubrica_get_scheda_corrente(void);

void rubrica_set_titolo(gchar *titolo);
gchar *rubrica_get_titolo(void);

#endif










